import { defineComponent } from 'vue';
import { NEmpty, NButton } from 'naive-ui';

export default defineComponent({
  name: '404-page',
  setup() {
    return () => (
      <div
        style={{
          height: '220px',
          'margin-top': '150px',
          'padding-top': '30px',
          'font-size': '15px',
          'text-align': 'center'
        }}>
        <NEmpty description="你访问的页面不见了，你还可以" size="large" />
        <NButton type="primary" text>
          返回上一页
        </NButton>
      </div>
    );
  }
});
